Package org.apache.cxf.policy

# Interface PolicyCalculator<T>

public interface PolicyCalculator<T>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<T>`
  `getDataClass()`
  `QName`
  `getDataClassName()`
  `T`
  `intersect(T policy1, T policy2)`
  `boolean`
  `isAsserted(Message message, T policy, T refPolicy)`

- ## Method Details

  - ### getDataClass

    Class<T> getDataClass()

  - ### getDataClassName

    QName getDataClassName()

  - ### intersect

    T intersect(T policy1, T policy2)

  - ### isAsserted

    boolean isAsserted(Message message, T policy, T refPolicy)